# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`zsh`](#zsh): Install zsh packages
* [`zsh::params`](#zshparams): Default parameter values

## Classes

### <a name="zsh"></a>`zsh`

Install zsh packages

#### Examples

##### Basic usage

```puppet
include zsh
```

#### Parameters

The following parameters are available in the `zsh` class:

* [`zshpackage`](#zshpackage)
* [`zshpath`](#zshpath)
* [`ensure`](#ensure)

##### <a name="zshpackage"></a>`zshpackage`

Data type: `String[1]`

The name of the package to be installed

Default value: `$zsh::params::zshpackage`

##### <a name="zshpath"></a>`zshpath`

Data type: `Stdlib::Absolutepath`

The path to the zsh binary once installed

Default value: `$zsh::params::zshpath`

##### <a name="ensure"></a>`ensure`

Data type: `Any`

This value is passed directly to the package resouce for $zshpackage.
See here for valid values:
https://puppet.com/docs/puppet/latest/types/package.html#package-attribute-ensure

Default value: `installed`

### <a name="zshparams"></a>`zsh::params`

Default parameter values

